curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"total_urls": 123,
"completed_urls": 123,
"parser": "<string>",
"country": "<string>",
"metadata": {
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
},
"webhook": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "Nicht autorisiert",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "Nicht gefunden",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Interner Serverfehler",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Batch-Informationen
Ruft den Status und Fortschrittsinformationen über ein Batch ab. Um den Inhalt eines Batches abzurufen, siehe hier
metadata-Parameter, um Schlüssel-Wert-Paare mit deinem Batch zu speichern. Siehe Metadaten für Details.Autorisierungen
Bearer-Authentifizierungsheader in der Form Bearer , wobei dein Authentifizierungstoken ist.
Pfadparameter
Die ID des Batches, für den Informationen abgerufen werden sollen.
Antwort
Erfolgreiche Antwort mit Batch-Informationen.
Charge-ID
Die Art des Objekts. "batch" für diesen Endpunkt.
in_progress oder completed
Erstellte Epoche
Anzahl der URLs im Batch
Anzahl der abgeschlossenen URLs
Satz von Schlüssel-Wert-Paaren zur Speicherung zusätzlicher Informationen über ein Objekt. Folgt dem Ansatz von Stripe mit Validierungsregeln: maximal 50 Schlüssel, Schlüssel maximal 40 Zeichen (keine eckigen Klammern), Wert maximal 500 Zeichen, alle Werte als Strings gespeichert.
Show child attributes
Show child attributes
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
Webhook-URL, um eine Benachrichtigung über den Abschluss zu erhalten
Anzahl der durch diese Anfrage verbrauchten Credits. Wird nach Abschluss der Ausführung ausgefüllt. Credits sind die Grundlage für die Abrechnung.
Geschätzte Kosten in USD für diese Anfrage. Wird nach Abschluss der Ausführung ausgefüllt. Berechnet aus den verbrauchten Credits und deinem Tarif — 99% genau, aber credits_consumed ist der maßgebliche Wert.
War diese Seite hilfreich?